rte_swx_port_in_ops(3)

NAME
rte_swx_port_in_ops

SYNOPSIS

#include <rte_swx_port.h>

  Data Fields

rte_swx_port_in_create_t create
rte_swx_port_in_free_t free
rte_swx_port_in_pkt_rx_t pkt_rx
rte_swx_port_in_stats_read_t stats_read

Detailed Description

Input port operations.

Definition at line 96 of file rte_swx_port.h.

Field Documentation

  rte_swx_port_in_create_t create
Create. Must be non-NULL.

Definition at line 98 of file rte_swx_port.h.

  rte_swx_port_in_free_t free
Free. Must be non-NULL.

Definition at line 101 of file rte_swx_port.h.

  rte_swx_port_in_pkt_rx_t pkt_rx
Packet reception. Must be non-NULL.

Definition at line 104 of file rte_swx_port.h.

  rte_swx_port_in_stats_read_t stats_read
Statistics counters read. Must be non-NULL.

Definition at line 107 of file rte_swx_port.h.

Author

Generated automatically by Doxygen for DPDK from the source code.